/*
 * a1.2.c
 * Copyright (C) 2013, 2016, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <a1-types.h>
#include <c1.h>

int
x1f4_post_shuffle(struct a1_trans19_type *trans19_data, void *output)
{
    int status;
    void *last;

    status = x1f4_pick_program
	(trans19_data->r.instant.shuffle_data->slip_node->aime, &last);
    if (status) {
    } else {
	x1f4_fast_expression(last, trans19_data->i.miss, output);
    }

    return status;
}
