/*
 * lxcall-y.x.c
 * Copyright (C) 2008-2016, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <e4.h>
#include <lxcall-types.h>
#include <nt.h>

void
_libx1f4i0_lxcall_line_xmix(v_case_args_____1, int norm, int call,
			    int (*const *rate)(void *, void *, void **))
{
    int *line, type;

    line = *args;

    linetext_data->function.args = line;

    *line++ = norm;
    *line++ = call;

    *args = line;

    type = nodetype_data->code;

    linetext_data->function.type = type;

    if (nodetype_data->push) {
	linetext_data->function.function = rate[5];
    } else {
	if (X1f4_E4_LAST < type) {
	    linetext_data->function.function = rate[4];
	} else {
	    if (type == X1f4_E4_TEXT) {
		linetext_data->function.function = rate[3];
	    } else {
		if (type == X1f4_E4_REAL) {
		    linetext_data->function.function = rate[2];
		} else {
		    if (type == X1f4_E4_MODE) {
			linetext_data->function.function = rate[1];
		    } else {
			if (type == X1f4_E4_BILL) {
			    linetext_data->function.function = rate[0];
			} else {
			}
		    }
		}
	    }
	}
    }
}
