/*
 * lxlist-m.d-r.c
 * Copyright (C) 2016, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <e4.h>

#define I_MODE(t)			(*((X1f4_E4_C_MODE *) (t)))

#define l_MODE(e, output) \
    {									      \
	X1f4_E4_C_MODE *l;						      \
									      \
	l = (void *) (output);						      \
	*l = (e);							      \
    }

#define byte(miss)			((unsigned char *) (miss))

int
_libx1f4i0_lxlist_r_drive_m(void *text, void *data)
{
#define type				X1f4_E4_MODE

    unsigned link;

    byte(data)[0] = type >> 030;
    byte(data)[1] = type >> 020;
    byte(data)[2] = type >> 010;
    byte(data)[3] = type >> 000;

    link = ~0;

    byte(data)[4] = link >> 030;
    byte(data)[5] = link >> 020;
    byte(data)[6] = link >> 010;
    byte(data)[7] = link >> 000;

    l_MODE(I_MODE(text), byte(data) + 8);

#undef type

    return 0;
}
